/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_INSTR_DESC                2
#define  PANEL_RESET                     3
#define  PANEL_IDQUERY                   4
#define  PANEL_RF_STATE                  5
#define  PANEL_Exit                      6       /* callback function: exitApp */
#define  PANEL_FILL_LIST                 7       /* callback function: fillList */
#define  PANEL_APPLY                     8       /* callback function: apllySettings */
#define  PANEL_TEXT3                     9
#define  PANEL_TEXT2_2                   10
#define  PANEL_TEXT2                     11
#define  PANEL_DECORATION_6              12
#define  PANEL_DECORATION_5              13
#define  PANEL_DECORATION_2              14
#define  PANEL_DECORATION_3              15
#define  PANEL_TEXT                      16
#define  PANEL_LIST                      17
#define  PANEL_LIST_MODE                 18      /* callback function: listModeRing */
#define  PANEL_TRIG_SLOPE                19
#define  PANEL_DWELL_TIME                20
#define  PANEL_DIR_NAME                  21


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK apllySettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitApp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK fillList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK listModeRing(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
